<?php
/**
 * Module Helper
 *
 * @package			Srizon Image Slider 
 * @version			1.3.0
 *
 * @author			Md. Afzal Hossain <afzal.csedu@gmail.com>
 * @link			http://www.srizon.com
 * @copyright		Copyright 2012 Md. Afzal Hossain All Rights Reserved
 * @license			http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
// no direct access
defined('_JEXEC') or die;
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');

class SrizonFPSlider{
    var $imgpath;
	var $imglink;
	var $imghtext;
	var $imgptext;
	var $txtboxwidth;
	var $imgtexttop;
	var $imgtextleft;
	
	function get_imgcode($imagewidth){
		if(trim($this->imglink) == ''){
			$this->imglink = 'javascript: void(0);';
		}
		if($imagewidth){
			return '<a href="'.$this->imglink.'"><img width="'.$imagewidth.'" src="'.$this->imgpath.'" alt="'.$this->imghtext.'" /></a>';
		}
		else
		return '<a href="'.$this->imglink.'"><img src="'.$this->imgpath.'" alt="'.$this->imghtext.'" /></a>';
	}
	function get_imgcode_thumb($thumbwidth){
		return '<li><img width="'.$thumbwidth.'" src="'.$this->imgpath.'" alt="'.$this->imghtext.'" /></li>';
	}
	function get_txtcode(){
		if(trim($this->imghtext)=='' && trim($this->imgptext)=='') return '';
		if($this->txtboxwidth) $txboxw=' width:'.$this->txtboxwidth.'px;';
		else $txboxw='';
		return '<div class="srizon-fps-txt" style="position: absolute;'.$txboxw.' top:'.$this->imgtexttop.'px;left:'.$this->imgtextleft.'px;"><a href="'.$this->imglink.'"><h2 style="padding:5px;">'.$this->imghtext.'</h2></a><p style="padding:5px;">'.nl2br($this->imgptext).'</p></div>';
		
	}
}

function srizon_fps_process_links($opt,$folder,$urlset,&$objarr){
	if($opt==0){
		$target = JPATH_BASE.'/images/'.$folder.'/';
		$img_files = JFolder::files($target, '.jpg|.png');
		$i=0;
		foreach($img_files as $file){
			$newobj = new SrizonFPSlider();
			$newobj->imgpath = JURI::base().'images/'.$folder.'/'.$file;
			$objarr[$i++] = $newobj;
		}
	}
	else{
		$p_urls = explode("\n",$urlset);
		$i=0;
		foreach ($p_urls as $p_url)
		{
			$p_url = trim($p_url);
			if($p_url == '') continue;
			$newobj = new SrizonFPSlider();
			$newobj->imgpath = $p_url;
			$objarr[$i++] = $newobj;
		}
	}
}
